<?php

class actionShowcasePayment extends cmsAction {

    public function run($order_id = false){
		
		if (!$order_id || !$this->request->isAjax()){ cmsCore::error404(); }
		
		$payment = !empty($this->options['payment']) ? $this->options['payment'] : 'off';
		if (!$payment || $payment == 'off'){
			return $this->cms_template->renderJSON(array('error' => true, 'message' => 'Оплата выключена'));
		}
		
		$billing = false;
		$userpay = false;
		
		if ($payment == 'billing'){
			$billing = cmsCore::isControllerExists('billing') ? cmsCore::getController('billing') : false;
			if (!$billing){
				return $this->cms_template->renderJSON(array('error' => true, 'message' => 'Компонент биллинг не найден'));
			}
		} else if($payment == 'userpay'){
			$userpay = cmsCore::isControllerExists('userpay') ? cmsCore::getController('userpay') : false;
			if (!$userpay){
				return $this->cms_template->renderJSON(array('error' => true, 'message' => 'Компонент UserPay не найден'));
			}
		}

		$order = $this->model->getData('sc_checkouts', $order_id);
		if (!$order){
			return $this->cms_template->renderJSON(array('error' => true, 'message' => 'Заказ не найден'));
		}

		if ($order['paid'] == 2){
			return $this->cms_template->renderJSON(array('error' => true, 'message' => 'Заказ уже оплачен'));
		}
		
		if ($this->cms_user->balance < (int)$order['price']){
			return $this->cms_template->renderJSON(array('error' => true, 'message' => 'Недостаточна средств на счету'));
		}
		
		if ($billing){
			$billing->decrementUserBalance($this->cms_user->id, $order['price'], array(
				'text' => 'Оплата заказа №' . $order['id'],
				'url' => href_to('showcase', 'orders', array($order['id'], $order['status']))
			));
			$this->model->updData('sc_checkouts', $order_id, array('paid' => 2));
			$this->sendPayNotices($order['id'], $order['price'], $order['status']);
			return $this->cms_template->renderJSON(array('error' => false, 'message' => 'Заказ успешно оплачен'));
		}
		
		if ($userpay){
			$result = $userpay->model->decrementUserBalance($this->cms_user->id, $order['price']);
			if ($result){
				$userpay->model->addUserpayHistory(array('user_id' => $this->cms_user->id, 'amount' => $order['price'], 'title' => 'Оплата заказа №' . $order['id']));
				$this->model->updData('sc_checkouts', $order_id, array('paid' => 2));
				$this->sendPayNotices($order['id'], $order['price'], $order['status']);
				return $this->cms_template->renderJSON(array('error' => false, 'message' => 'Заказ успешно оплачен'));
			} else {
				return $this->cms_template->renderJSON(array('error' => true, 'message' => 'Не удалось оплатить'));
			}
		}
		
		return $this->cms_template->renderJSON(array('error' => true, 'message' => 'Неизвестная ошибка'));

    }
	
	public function sendPayNotices($order_id = false, $summ = 0, $status = false){

		$messenger = cmsCore::getController('messages');
				
		if ($this->managers){
			$text = 'Новая оплата заказа ждет обработки';
			foreach ($this->managers as $idx => $manager){
				if (!$this->model->filterEqual('i.user_id', $manager)->filterEqual('i.content', $text)->getItem('users_notices')){
					$messenger->addRecipient($manager);
				}
			}
			$messenger->sendNoticePM(array(
				'content' => $text,
				'actions' => array(
					'view' => array(
						'title' => LANG_SHOW,
						'href'  => href_to('showcase', 'orders', array($order_id, $status))
					)
				)
			));
		}
		
		if (!empty($this->options['email'])){
			$emails = trim($this->options['email']);
			if (mb_stripos($emails, ',') !== FALSE){
				$emails = explode(',', $emails);
			}
			if ($emails){
				$mail_data = array(
					'order_id' => $order_id,
					'summ' => $summ . ' ' . (!empty($this->options['cerrency']) ? $this->options['cerrency'] : LANG_CURRENCY),
					'url' => href_to_abs('showcase', 'orders', array($order_id, $status)),
				);
				if (is_array($emails)){
					foreach ($emails as $email){
						if (!$email){ continue; }
						$to = array('email' => $email, 'name' => 'Администратор');
						$messenger->sendEmail($to, array('name' => 'sc_order_pay'), $mail_data);
					}
				} else {
					$to = array('email' => $emails, 'name' => 'Администратор');
					$messenger->sendEmail($to, array('name' => 'sc_order_pay'), $mail_data);
				}
			}
		}

	}

}
