<?php

class formShowcaseOptions extends cmsForm {

    public function init() {
		
		$billing_text = cmsCore::isControllerExists('billing') ? '' : ' (не найден)';
		$userpay_text = cmsCore::isControllerExists('userpay') ? '' : ' (не найден)';

        return array(

            array(
                'type' => 'fieldset',
                'title' => LANG_OPTIONS,
                'childs' => array(

                    new fieldList('ctype_name', array(
						'title' => 'Выберите тип контента в качестве Магазина',
						'hint' => 'Нажмите кнопку <b>"Генерировать поля для типа контента"</b>, после того, как выбрали/сменили тип контента',
						'generator' => function($item) {

                            $tree = cmsCore::getModel('content')->getContentTypes();
                            if ($tree) {
                                foreach ($tree as $item) {
                                    $items[$item['name']] = $item['title'];
                                }
                            }

                            return $items;

                        }
					)),
					
					new fieldString('cerrency', array(
						'title' => 'Валюта',
						'default' => LANG_CURRENCY
					)),
					
					new fieldList('price_format', array(
						'title' => 'Формат вывода цен',
						'default' => 1,
						'items' => array(
							1 => 'Красивый округленный вид: 1 500 руб.',
							2 => 'Реальный вид с точкой: 1499.99 руб'
						)
					)),
					
					new fieldList('payment', array(
						'title' => 'Способ оплаты',
						'hint' => 'Купить компонент <a href="https://addons.instantcms.ru/addons/billing2.html" target="_blank">Биллинг</a>. Скачать компонент <a href="https://addons.instantcms.ru/addons/userpay.html" target="_blank">UserPay</a>',
						'default' => 'off',
						'items' => array(
							'off' => 'Не использовать',
							'billing' => 'Платный компонент Биллинг' . $billing_text,
							'userpay' => 'Бесплатный компонент UserPay' . $userpay_text,
						)
					)),
					
					new fieldCheckbox('menu', array(
						'title' => 'Вывести магазин в меню админки',
						'hint' => 'В меню админки появиться новый пункт меню, для быстрого перехода в настроки магазина'
					)),

					new fieldCheckbox('fa', array(
						'title' => 'Не подключать иконки FontAwesome из компонента',
						'hint' => 'Поставьте галочку, если ваш шаблон уже поддерживает иконки FontAwesome'
					)),

                )
            ),
			
			array(
                'type' => 'fieldset',
                'title' => 'Персонал',
                'childs' => array(

                    new fieldList('managers', array(
                        'title' => 'Менеджеры заказов',
                        'hint' => 'Те кто обрабатывает заказы',
                        'is_chosen_multiple' => 1,
						'generator' => function($item) {
							
							$model = new cmsModel();
                            $tree = $model->selectOnly('i.id, i.nickname')->get('{users}');
                            if ($tree) {
                                foreach ($tree as $item) {
                                    $items[$item['id']] = $item['nickname'];
                                }
                            }

                            return $items;

                        }
                    )),

					new fieldCheckbox('log', array(
						'title' => 'Логировать действия персонала',
						'hint' => 'В лог действий записывается действия персонала',
						'default' => 1
					)),
					
					new fieldString('email', array(
						'title' => 'Отправить письмо о новых заказах или оплатах',
						'hint' => 'Укажите email через запятую, если несколько',
					)),

                )
            ),
			
			array(
                'type' => 'fieldset',
                'title' => 'Работа с вариантами',
                'childs' => array(

                    new fieldCheckbox('variants_off', array(
                        'title' => 'Отключить варианты',
                        'hint' => 'Если не используете варианты товаров, лучше выключить их, что бы не было лишних запросов',
                        'default' => 0
                    )),

					new fieldCheckbox('variants_opened', array(
						'title' => 'Автоматический раскрыть выбор вариантов на странице товара',
						'hint' => 'Выбор варианта будет в списке или уже в раскрытом виде',
						'default' => 0
					)),
					
					new fieldList('variants_list', array(
						'title' => 'Стиль отображение выбор вариантов в списке',
						'default' => 'box',
						'items' => array(
							'box' => 'Квадратики',
							'select' => 'Список',
						)
					)),

                )
            )

        );

    }

}
