<?php 
class modelShowcase extends cmsModel{

	public function getData($table, $id = false, $one = false, $coll = false, $key = 'id'){
        if ($id){
			$this->useCache("{$this->name}.{$table}.{$id}");
		} else {
			$this->useCache("{$this->name}.{$table}");
		}
        return $id ? $this->getItemById($table, $id) : ($one ? $this->getItem($table) : $this->get($table, $coll, $key));
    }
	
	public function getDataCount($table, $reset = true){
		$this->useCache("{$this->name}.{$table}");
		$count = $this->getCount($table);
		if ($reset){ $this->resetFilters(); }
		return $count;
	}
	
	public function saveData($table, $data){
        cmsCache::getInstance()->clean("{$this->name}.{$table}");
        return $this->insert($table, $data);
    }
	
	public function updData($table, $id, $data){
		cmsCache::getInstance()->clean("{$this->name}.{$table}");
		cmsCache::getInstance()->clean("{$this->name}.{$table}.{$id}");
        return $this->update($table, $id, $data);
    }
	
	public function deleteData($table, $id, $by_field = 'id'){
		cmsCache::getInstance()->clean("{$this->name}.{$table}");
        cmsCache::getInstance()->clean("{$this->name}.{$table}.{$id}");
        return $this->delete($table, $id, $by_field);
    }

	public function reorderData($table, $items){
		cmsCache::getInstance()->clean("{$this->name}.{$table}");
        return $this->reorderByList($table, $items);
    }
	
	public function getGoods($table, $id = false, $one = false, $coll = false, $key = 'id'){
        if ($id){
			$this->useCache("content.item.{$table}");
		} else {
			$this->useCache("content.list.{$table}");
		}
		$table = 'con_' . $table;
        return $id ? $this->getItemById($table, $id) : ($one ? $this->getItem($table) : $this->get($table, $coll, $key));
    }
	
	public function editGoods($table, $id, $data){
        cmsCache::getInstance()->clean('content.list.' . $table);
        cmsCache::getInstance()->clean('content.item.' . $table);
		$table = 'con_' . $table;
        return $this->update($table, $id, $data);
    }

	public function deleteController($id){
		
		$widget = $this->getItemByField('widgets', 'controller', 'showcase');
		if($widget){
			$this->delete('widgets_bind', $widget['id'], 'widget_id');
			$this->delete('widgets', $widget['id']);
		}

		$this->db->dropTable('sc_cart_fields');
		$this->db->dropTable('sc_checkouts');
		$this->db->dropTable('sc_colors');
		$this->db->dropTable('sc_logs');
		$this->db->dropTable('sc_steps');
		$this->db->dropTable('sc_todo');
		$this->db->dropTable('sc_todo_items');
		$this->db->dropTable('sc_variations');

		$this->filterEqual('controller', 'showcase')->deleteFiltered('users_tabs');
		
		return parent::deleteController($id);
	 
	}

}