<?php
    if( $ctype['options']['list_show_filter'] ) {
        $this->renderAsset('ui/filter-panel', array(
            'css_prefix'   => $ctype['name'],
            'page_url'     => $page_url,
            'fields'       => $fields,
            'props_fields' => $props_fields,
            'props'        => $props,
            'filters'      => $filters,
			'ext_hidden_params' => $ext_hidden_params,
            'is_expanded'  => $ctype['options']['list_expand_filter']
        ));
    }

	if (isset($fields['fav'])){ $fav = 'fav'; } 
	if (isset($fields['revs'])){ $revs = 'revs'; } 
	
	foreach($fields as $field){
		if (!isset($fav) && $field['type'] == 'bookmarks'){ $fav = $field['name']; }
		if (!isset($revs) && $field['type'] == 'recommendstars'){ $revs = $field['name']; }
	}
	
	$showcase = cmsCore::getController('showcase');

?>

<?php if ($items){ ?>

	<?php 
		$this->addCSS($this->getTplFilePath('controllers/showcase/css/list_grid.css', false));
		$this->addJS($this->getTplFilePath('controllers/showcase/js/showcase.js', false));
		$this->addJS($this->getTplFilePath('controllers/showcase/js/imgLiquid.min.js', false));
	?>
	
	<script src="//yastatic.net/es5-shims/0.0.2/es5-shims.min.js"></script>
	<script src="//yastatic.net/share2/share.js"></script>
	
	<?php $this->block('top_showcase_list'); ?>

	<div class="showcase_list_grid <?php echo $ctype['name']; ?>_list_grid" onload="icms.showcase.bulidListGrid(this)">
		<?php foreach($items as $item){ ?>
			<?php
				$item['ctype'] = $ctype;
                $item['ctype_name'] = $ctype['name'];
				$url = href_to($ctype['name'], $item['slug']) . '.html';
				$image = '/' . $this->getTplFilePath('controllers/showcase/img/nophoto_normal.png', false);
				$photo_class = false;
				if(isset($fields['photo']) && $fields['photo']['is_in_list'] && !empty($item['photo'])) {
					$image = html_image_src($item['photo'], $fields['photo']['options']['size_teaser'], true);
					$photo_class = 'sc_is_photo';
					$photos = is_array($item['photo']) ? $item['photo'] : cmsModel::yamlToArray($item['photo']);
				}
                $is_private = $item['is_private'] && $hide_except_title && !$item['user']['is_friend'];
                if ($is_private) {
                    $image = html_image_src(default_images('private', 'big'), $fields['photo']['options']['size_teaser'], true);
                    $url = 'javascript:void(0);';
                }
			?>			
			<div class="my_default_list_item<?php if (!empty($item['is_vip'])){ ?> is_vip<?php } ?>" id="sc_item_<?php html($item['id']); ?>">
				<div class="miw_preloader">
					<i class="fa fa-spinner fa-spin fa-3x fa-fw"></i>
					<span class="sr-only">Loading...</span>
				</div>
				<div class="my_item_wrap">
				
					<div class="miw_share_block <?php html($photo_class); ?>">
						<div class="miw_card__social">
							<noindex>
							<strong>Поделиться в социальных сетях</strong>
							<div class="ya-share2" data-services="vkontakte,odnoklassniki,facebook,twitter,moimir,gplus,viber,whatsapp,skype,telegram" data-title="<?php html($item['title']); ?>" data-url="<?php html($this->site_config->host . $url); ?>" data-image="<?php html($this->site_config->host . $image); ?>" data-description="<?php html(mb_strimwidth(strip_tags($item['content']), 0, 60, "...")); ?>" data-title:twitter="<?php html(mb_strimwidth(strip_tags($item['title']), 0, 60, "...")); ?>"></div>
							</noindex>
						</div>
						<?php if ($photo_class){ ?>
							<a href="<?php html($image); ?>" class="miw_meta_photo ajax-modal" rel="<?php echo $ctype['name'].$item['id']; ?>"><i class="fa fa-photo"></i></a>
							<?php 
								if (isset($photos) && count($photos) > 1){
									unset($photos[0]);
									foreach($photos as $photo){
										$photo = html_image_src($photo, 'big', true);
										echo '<a class="sc'.$item['id'].'-photos" href="'.$photo.'" rel="' . $ctype['name'] . '' . $item['id'] . '"></a>';
									}
								} 
							?>
						<?php } ?>
						<a href="<?php html($url); ?>" class="miw_meta_link" rel="nofollow">
							<i class="fa fa-link"></i> &nbsp; <noindex><?php html(LANG_MORE); ?></noindex>
						</a>
						<a class="miw_share-toggle dsct_top_left" onClick="miwShareToggle(this)" data-tc-tip="Поделиться">
							<i class="fa fa-share-alt" aria-hidden="true"></i>
						</a>
						<?php 
							if (isset($fav) && !empty($fields[$fav]) && $fields[$fav]['is_in_list']){
								echo $item['fields'][$fav]['html'];
							}
						?>
					</div>
					
					<div class="miw_photo_block">
						<div class="miw_photo" style="width:288px; height:200px;">
							<img src="<?php html($image); ?>" alt="<?php html($item['title']); ?>" />
						</div>
						<?php if (!empty($item['variants']) && empty($showcase->options['variants_off'])){ ?>
							<?php
								$i = 1;
								$colors = false;
								if (!empty($fields['color'])){
									$colors = $fields['color']['handler']->getListItems(false);
								}
							?>
							<div class="sc_variants_selector">
							<?php if (empty($showcase->options['variants_list']) || $showcase->options['variants_list'] == 'box'){ ?>
								<?php foreach ($item['variants'] as $variant){ ?>
									<?php
										if (empty($variant['in']) || $variant['in'] == 'none' || (int)$variant['in'] < 1){ continue; }
										if ($i == 4){ 
											echo '<a href="' . $url . '" class="sc_variant_selector scvs_count" data-sc-tip="Все варианты" rel="nofollow">+' . (count($item['variants']) - 3) . '</a>';
											break;
										}
										$photo = !empty($variant['photo']) ? html_image_src($variant['photo'], 'big', true) : 0;
									?>
									<div class="sc_variant_selector" <?php if (!empty($variant['color']) && !empty($colors[$variant['color']]['color'])){ ?>style="background:<?php html($colors[$variant['color']]['color']); ?>"<?php } ?> data-sc-tip="Вариант <?php html($i); ?>" data-title="<?php html($variant['title']); ?>" <?php if (isset($fields['price']) && $fields['price']['is_in_list'] && $this->controller->cms_user->isInGroups($fields['price']['groups_read']) && !empty($item['price'])){ ?>data-price="<?php echo $showcase->getPriceFormat($variant['price']); ?>"<?php } ?> <?php if ($photo){ ?>data-photo="<?php html($photo); ?>"<?php } ?> data-url="<?php echo $url . '?&variant=' . $variant['id']; ?>" onClick="icms.showcase.setListVariant(this, <?php html($item['id']); ?>)"></div> 
									<?php $i++; ?>
								<?php } ?>
							<?php } else { ?>
								<select class="sc_variant_select" data-item_id="<?php html($item['id']); ?>">
									<option>Выбрать вариант</option>
									<?php foreach ($item['variants'] as $variant){ ?>
										<?php
											if (empty($variant['in']) || $variant['in'] == 'none' || (int)$variant['in'] < 1){ continue; }
											if ($i == 8){ 
												break;
											}
											$photo = !empty($variant['photo']) ? html_image_src($variant['photo'], 'big', true) : 0;
										?>
										<option data-title="<?php html($variant['title']); ?>" <?php if (isset($fields['price']) && $fields['price']['is_in_list'] && $this->controller->cms_user->isInGroups($fields['price']['groups_read']) && !empty($item['price'])){ ?>data-price="<?php echo $showcase->getPriceFormat($variant['price']); ?>"<?php } ?> <?php if ($photo){ ?>data-photo="<?php html($photo); ?>"<?php } ?> data-url="<?php echo $url . '?&variant=' . $variant['id']; ?>"><?php html($variant['title']); ?></option>
										<?php $i++; ?>
									<?php } ?>
								</select>
							<?php } ?>
							</div>
						<?php } ?>
						<?php if (!empty($item['is_vip'])){ ?>
							<div class="miw_vip"><div class="miw_vip_text">vip</div></div>
						<?php } ?>
					</div>
					
					<?php if (!empty($item['label'])){ ?>
						<div class="miw_block_polosa">
							<div class="miw_polosa">
								<?php html(mb_strimwidth(strip_tags($item['label']), 0, 6)); ?>
							</div>
						</div>
					<?php } else if (!empty($item['sale'])){ ?>
						<div class="miw_block_polosa">
							<div class="miw_polosa is_sc_sale">Скидка</div>
						</div>
					<?php } ?>
					
					<div class="miw_description">
						<h2 class="miw_title">
							<a href="<?php echo $url; ?>" title="<?php html($item['title']); ?>">
								<?php html($item['title']); ?>
							</a>
						</h2>
						<div class="miw_price_box">
							<?php if (isset($fields['price']) && $fields['price']['is_in_list'] && $this->controller->cms_user->isInGroups($fields['price']['groups_read']) && !empty($item['price'])){ ?>
								<div class="miw_price">
									<?php html($item['fields']['price']['html']); ?> 
								</div>
								<?php if (!empty($item['sale'])){ ?>
									<s class="sc_old_price"><?php echo $showcase->getPriceFormat($item['price']); ?></s>
								<?php } ?>
							<?php } else { ?>
								<div class="miw_price">&nbsp;</div>
							<?php } ?>
							<?php if (isset($revs) && $fields[$revs]['is_in_list']){ ?>
								<?php echo $item['fields'][$revs]['html']; ?>
							<?php } ?>
						</div>
						<div class="miw_footer">
							<?php if (!empty($item['rating_widget'])){ ?>
								<span><i class="fa fa-thumbs-up"></i> <?php html($item['rating']); ?></span> 
							<?php } ?>
							<?php if (!empty($ctype['options']['hits_on'])){ ?>
								<span><i class="fa fa-eye"></i> <?php html($item['hits_count']); ?></span> 
							<?php } ?>
							<?php if ($ctype['is_comments'] && $item['is_comments_on'] && !isset($revs)){ ?>
								<span><i class="fa fa-comments-o"></i> <?php html($item['comments']); ?></span> 
							<?php } ?>
							<a href="<?php echo $url; ?>" class="more" rel="nofollow">Купить</a> 
						</div>
					</div>
				
				</div>

            </div>
			
		<?php } ?>
	</div>
	
	<?php $this->block('bottom_showcase_list'); ?>
	
	<script>
		$(document).ready(function() {
			$(".miw_share_block").hover(function() {
				$(this).parent().find('.miw_photo_block').addClass("miw_hover");
			  }, function() {
				$(this).parent().find('.miw_photo_block').removeClass("miw_hover");
			  }
			);
		});
		
		function miwShareToggle(button){
			$(button).parent().toggleClass('miw_card__social--active');
			$(button).parents('.my_item_wrap').find('.miw_user_options').toggleClass('miw_card__social--active');
			$(button).toggleClass('miw_share-expanded');
		}
	</script>

    <?php if ($perpage < $total) { ?>
        <?php echo html_pagebar($page, $perpage, $total, $page_url, array_merge($filters, $ext_hidden_params)); ?>
    <?php } ?>

<?php } else {

    if(!empty($ctype['labels']['many'])){
        echo sprintf(LANG_TARGET_LIST_EMPTY, $ctype['labels']['many']);
    } else {
        echo LANG_LIST_EMPTY;
    }

}