<?php 
	if ($is_manager){
		$this->addBreadcrumb('Заказы', $this->href_to('orders', array(0, $order['status'])));
	} else if (empty($order['user_id'])){
		
	} else {
		$this->addBreadcrumb(LANG_USERS, href_to('users'));
		$this->addBreadcrumb($this->controller->cms_user->nickname, href_to('users', $order['user_id']));
		$this->addBreadcrumb('Мои заказы', href_to('users', $order['user_id'], 'orders'));
	}
    $this->addBreadcrumb('Заказ №' . $order['id']);
    $this->setPageTitle('Заказ №' . $order['id']);
	$this->addCSS($this->getTplFilePath('controllers/showcase/css/tab.css', false));
	$pay = false;
?>
<table class="sc_order_view">
	<tbody>
		<?php foreach ($order as $name => $val){ ?>
		
			<?php if (!isset($val)){ continue; } ?>
		
			<tr class="sc_ol_item">
				<td class="sc_oli_title"><?php echo !empty($titles[$name]) ? $titles[$name] : $name; ?></td>
				<td class="sc_oli_val">
					<?php if ($name == 'fields'){ ?>
						<?php foreach ($val as $key => $v){ ?>
							<?php if ($key == 'agreement' || !$v || empty($cart_fields[$key])){ continue; } ?>
							<table>
								<tbody>
									<tr>
										<td><b><?php html($cart_fields[$key]['title']); ?></b></td>
										<td><?php 
											if ($cart_fields[$key]['type'] == 'select' && !empty($cart_fields[$key]['options'][$v])){
												echo $cart_fields[$key]['options'][$v];
											} else {
												echo $v;
											}
										?></td>
									</tr>
								</tbody>
							</table>
						<?php } ?>
					<?php } else if ($name == 'delivery'){ ?>
						<?php
							$val = cmsModel::yamlToArray($val);
							if ($val['type'] == 'courier'){
								$status[3] = 'Доставляется';
							} else {
								$status[3] = 'Ожидает получения';
							}
						?>
						<?php echo ($val['type'] == 'courier') ? 'Курьерская доставка' : 'Самовывоз'; ?>: 
						<a href="<?php html($val['slug']); ?>" target="_blank"><?php html($val['title']); ?></a> - 
						<b style="color:red"><?php echo $val['price'] ? $this->controller->getPriceFormat($val['price']) : (isset($val['price']) ? 'Бесплатно' : 'Не указана'); ?></b>
					<?php } else if ($name == 'price'){ ?>
						<strong style="color:red"><?php echo $this->controller->getPriceFormat($val); ?>
					<?php } else if ($name == 'user_id'){ ?></strong>
						<?php if (empty($order['user_id'])){ ?>
							<?php echo !empty($order['fields']['name']) ? $order['fields']['name'] : LANG_GUEST; ?>
						<?php } else { ?>
							<a href="<?php echo href_to('users', $val); ?>" target="_blank"><?php echo $is_manager ? 'Открыть профиль' : $this->controller->cms_user->nickname; ?></a>
						<?php } ?>
					<?php } else if ($name == 'status'){ ?>
						<?php html($status[$val]); ?>
					<?php } else if ($name == 'paid' && $val){ ?>
						<?php 
							if ($val == 1){
								$pay = true;
								echo 'Ожидается оплата';
							} else {
								$pay = false;
								echo 'Оплачено';
							}
						?>
					<?php } else if ($name == 'items'){ ?>
						<?php foreach ($val as $index => $good){ ?>
							<div class="sc_order_view_goods">
								<?php if (!empty($good['artikul'])){ ?>
									<span data-sc-tip="Артикул"><?php html($good['artikul']); ?></span> 
								<?php } ?>
								<span><a href="<?php echo href_to($good['ctype_name'], $good['slug'] . '.html'); ?>" target="_blank"><?php echo !empty($good['title']) ? $good['title'] : '[Неизвестно]'; ?></a></span>
								<span data-sc-tip="Количество">x<?php echo !empty($good['qty']) ? $good['qty'] : 1; ?></span>
								<span data-sc-tip="Цена" class="sc_gi_price"><?php echo $this->controller->getPriceFormat((!empty($good['price']) ? $good['price'] : 0)); ?></span>
								<?php 
									$extra_fields = cmsEventsManager::hookAll("sc_html_cart_fields", array($this->controller->ctype_name, $good, $fields));
									if ($extra_fields) { echo html_each($extra_fields); }
								?>
							</div>
						<?php } ?>
					<?php } else { ?>
						<?php html($val); ?>
					<?php } ?>
				</td>
			</tr>
		<?php } ?>
		<tr>
			<td colspan="2" class="sc_order_btns">
				<?php if ($is_manager){ ?>
					<a href="<?php echo $this->href_to('print', $order['id']); ?>" target="_blank"><i class="fa fa-print"></i> Распечатать</a>
				<?php } ?>
				<?php if ($pay && !empty($this->controller->options['payment']) && $this->controller->options['payment'] != 'off'){ ?>
					<a href="javascript:void(0);" onclick="scOrderPay(this)" class="sc_payment_btn" data-sc-tip="Ваш баланс: <?php echo @$this->controller->cms_user->balance ? $this->controller->cms_user->balance : 0; ?>"><i class="fa fa-money"></i> Оплатить <?php echo $this->controller->getPriceFormat($order['price']); ?></a>
				<?php } ?>
			</td>
		</tr>
	</tbody>
</table>
<?php if (!empty($this->controller->options['payment']) && $this->controller->options['payment'] != 'off'){ ?>
	<script>
		function scOrderPay(btn){
			if (!confirm("Подтверждаете оплату?")) { return false; }
			btn = $(btn);
			if (btn.hasClass('pay_process')){ return; }
			btn.addClass('pay_process').html('<i class="fa fa-refresh fa-spin"></i> Подождите...');
			$.post('<?php echo $this->href_to('payment', $order['id']); ?>', false, function(result){
				if(result.error){
					icms.modal.alert(result.message, 'ui_error');
				} else {
					window.location.reload(true);
				}
				btn.removeClass('pay_process').html('<i class="fa fa-money"></i> Оплатить <?php echo $this->controller->getPriceFormat($order['price']); ?>');
			}, 'json');
		}
	</script>
<?php } ?>